--
-- $Id$
--
-- Strip de schema naam van alle MLD_T_UITVOERTIJD defaults
-- Het probleem ontstond door Oracle 12 database --> datapump (als 11) --> Import in 11
-- dbuser op '*' omdat dit script mogelijk ook voor andere omgevingen moet worden gebruikt
-- en daar geen kwaad kan

DEFINE thisfile = 'WOWA#53016.SQL'
DEFINE dbuser   = '*'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

ALTER TABLE alg_srtruimte MODIFY alg_srtruimte_t_uitvoertijd DEFAULT MLD_T_UITVOERTIJD(NULL, NULL);
ALTER TABLE ins_deel MODIFY ins_deel_t_uitvoertijd DEFAULT MLD_T_UITVOERTIJD(NULL, NULL);
ALTER TABLE mld_stdmelding MODIFY mld_stdmelding_t_accepttijd  DEFAULT MLD_T_UITVOERTIJD(NULL, NULL);
ALTER TABLE mld_stdmelding MODIFY mld_stdmelding_t_uitvoertijd DEFAULT MLD_T_UITVOERTIJD(2, 1);
ALTER TABLE mld_stdmelding MODIFY mld_stdmelding_t_uitvtijd_pr1 DEFAULT MLD_T_UITVOERTIJD(NULL, NULL);
ALTER TABLE mld_stdmelding MODIFY mld_stdmelding_t_uitvtijd_pr2 DEFAULT MLD_T_UITVOERTIJD(NULL, NULL);
ALTER TABLE mld_stdmelding MODIFY mld_stdmelding_t_uitvtijd_pr4 DEFAULT MLD_T_UITVOERTIJD(NULL, NULL);
ALTER TABLE mld_melding MODIFY mld_melding_t_uitvoertijd DEFAULT MLD_T_UITVOERTIJD(NULL, NULL);
ALTER TABLE mld_melding MODIFY mld_melding_t_accepttijd DEFAULT MLD_T_UITVOERTIJD(NULL, NULL);
ALTER TABLE mld_melding MODIFY mld_melding_t_respijt DEFAULT MLD_T_UITVOERTIJD(NULL, NULL);
ALTER TABLE prs_bedrijf MODIFY prs_bedrijf_t_uitvoertijd DEFAULT MLD_T_UITVOERTIJD(NULL, NULL);

ALTER TABLE mld_stdmsrtruimte MODIFY mld_stdmsrtruimte_t_accepttijd  DEFAULT MLD_T_UITVOERTIJD(NULL, NULL);
ALTER TABLE mld_stdmsrtruimte MODIFY mld_stdmsrtruimte_t_uitvtijd DEFAULT MLD_T_UITVOERTIJD(NULL, NULL);

------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile
